import { EventEmitter, TemplateRef } from '@angular/core';
import { TreeviewItem } from './treeview-item';
import { TreeviewConfig } from './treeview-config';
import { TreeviewItemTemplateContext } from './treeview-item-template-context';
export declare class TreeviewItemComponent {
    private defaultConfig;
    config: TreeviewConfig;
    template: TemplateRef<TreeviewItemTemplateContext>;
    item: TreeviewItem;
    checkedChange: EventEmitter<{
        item: TreeviewItem;
        checked: boolean;
    }>;
    constructor(defaultConfig: TreeviewConfig);
    onCollapseExpand: () => void;
    triggerItemChange(item: TreeviewItem): void;
    onCheckedChange: () => void;
    onLabelClick(item: TreeviewItem): void;
    onChildCheckedChange(root: TreeviewItem, child: {
        item: TreeviewItem;
        checked: boolean;
    }): void;
}
