(function (global, factory) {
    typeof exports === 'object' && typeof module !== 'undefined' ? factory(exports, require('@angular/core'), require('lodash'), require('rxjs'), require('rxjs/operators'), require('@angular/forms'), require('@angular/common')) :
    typeof define === 'function' && define.amd ? define('rs-dropdown-tree', ['exports', '@angular/core', 'lodash', 'rxjs', 'rxjs/operators', '@angular/forms', '@angular/common'], factory) :
    (global = global || self, factory(global['rs-dropdown-tree'] = {}, global.ng.core, global.lodash, global.rxjs, global.rxjs.operators, global.ng.forms, global.ng.common));
}(this, (function (exports, core, lodash, rxjs, operators, forms, common) { 'use strict';

    /*! *****************************************************************************
    Copyright (c) Microsoft Corporation.

    Permission to use, copy, modify, and/or distribute this software for any
    purpose with or without fee is hereby granted.

    THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL WARRANTIES WITH
    REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF MERCHANTABILITY
    AND FITNESS. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY SPECIAL, DIRECT,
    INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING FROM
    LOSS OF USE, DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR
    OTHER TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE OR
    PERFORMANCE OF THIS SOFTWARE.
    ***************************************************************************** */
    /* global Reflect, Promise */

    var extendStatics = function(d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };

    function __extends(d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    }

    var __assign = function() {
        __assign = Object.assign || function __assign(t) {
            for (var s, i = 1, n = arguments.length; i < n; i++) {
                s = arguments[i];
                for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p)) t[p] = s[p];
            }
            return t;
        };
        return __assign.apply(this, arguments);
    };

    function __rest(s, e) {
        var t = {};
        for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
            t[p] = s[p];
        if (s != null && typeof Object.getOwnPropertySymbols === "function")
            for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
                if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                    t[p[i]] = s[p[i]];
            }
        return t;
    }

    function __decorate(decorators, target, key, desc) {
        var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
        if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
        else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
        return c > 3 && r && Object.defineProperty(target, key, r), r;
    }

    function __param(paramIndex, decorator) {
        return function (target, key) { decorator(target, key, paramIndex); }
    }

    function __metadata(metadataKey, metadataValue) {
        if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(metadataKey, metadataValue);
    }

    function __awaiter(thisArg, _arguments, P, generator) {
        function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
        return new (P || (P = Promise))(function (resolve, reject) {
            function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
            function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
            function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
            step((generator = generator.apply(thisArg, _arguments || [])).next());
        });
    }

    function __generator(thisArg, body) {
        var _ = { label: 0, sent: function() { if (t[0] & 1) throw t[1]; return t[1]; }, trys: [], ops: [] }, f, y, t, g;
        return g = { next: verb(0), "throw": verb(1), "return": verb(2) }, typeof Symbol === "function" && (g[Symbol.iterator] = function() { return this; }), g;
        function verb(n) { return function (v) { return step([n, v]); }; }
        function step(op) {
            if (f) throw new TypeError("Generator is already executing.");
            while (_) try {
                if (f = 1, y && (t = op[0] & 2 ? y["return"] : op[0] ? y["throw"] || ((t = y["return"]) && t.call(y), 0) : y.next) && !(t = t.call(y, op[1])).done) return t;
                if (y = 0, t) op = [op[0] & 2, t.value];
                switch (op[0]) {
                    case 0: case 1: t = op; break;
                    case 4: _.label++; return { value: op[1], done: false };
                    case 5: _.label++; y = op[1]; op = [0]; continue;
                    case 7: op = _.ops.pop(); _.trys.pop(); continue;
                    default:
                        if (!(t = _.trys, t = t.length > 0 && t[t.length - 1]) && (op[0] === 6 || op[0] === 2)) { _ = 0; continue; }
                        if (op[0] === 3 && (!t || (op[1] > t[0] && op[1] < t[3]))) { _.label = op[1]; break; }
                        if (op[0] === 6 && _.label < t[1]) { _.label = t[1]; t = op; break; }
                        if (t && _.label < t[2]) { _.label = t[2]; _.ops.push(op); break; }
                        if (t[2]) _.ops.pop();
                        _.trys.pop(); continue;
                }
                op = body.call(thisArg, _);
            } catch (e) { op = [6, e]; y = 0; } finally { f = t = 0; }
            if (op[0] & 5) throw op[1]; return { value: op[0] ? op[1] : void 0, done: true };
        }
    }

    function __createBinding(o, m, k, k2) {
        if (k2 === undefined) k2 = k;
        o[k2] = m[k];
    }

    function __exportStar(m, exports) {
        for (var p in m) if (p !== "default" && !exports.hasOwnProperty(p)) exports[p] = m[p];
    }

    function __values(o) {
        var s = typeof Symbol === "function" && Symbol.iterator, m = s && o[s], i = 0;
        if (m) return m.call(o);
        if (o && typeof o.length === "number") return {
            next: function () {
                if (o && i >= o.length) o = void 0;
                return { value: o && o[i++], done: !o };
            }
        };
        throw new TypeError(s ? "Object is not iterable." : "Symbol.iterator is not defined.");
    }

    function __read(o, n) {
        var m = typeof Symbol === "function" && o[Symbol.iterator];
        if (!m) return o;
        var i = m.call(o), r, ar = [], e;
        try {
            while ((n === void 0 || n-- > 0) && !(r = i.next()).done) ar.push(r.value);
        }
        catch (error) { e = { error: error }; }
        finally {
            try {
                if (r && !r.done && (m = i["return"])) m.call(i);
            }
            finally { if (e) throw e.error; }
        }
        return ar;
    }

    function __spread() {
        for (var ar = [], i = 0; i < arguments.length; i++)
            ar = ar.concat(__read(arguments[i]));
        return ar;
    }

    function __spreadArrays() {
        for (var s = 0, i = 0, il = arguments.length; i < il; i++) s += arguments[i].length;
        for (var r = Array(s), k = 0, i = 0; i < il; i++)
            for (var a = arguments[i], j = 0, jl = a.length; j < jl; j++, k++)
                r[k] = a[j];
        return r;
    };

    function __await(v) {
        return this instanceof __await ? (this.v = v, this) : new __await(v);
    }

    function __asyncGenerator(thisArg, _arguments, generator) {
        if (!Symbol.asyncIterator) throw new TypeError("Symbol.asyncIterator is not defined.");
        var g = generator.apply(thisArg, _arguments || []), i, q = [];
        return i = {}, verb("next"), verb("throw"), verb("return"), i[Symbol.asyncIterator] = function () { return this; }, i;
        function verb(n) { if (g[n]) i[n] = function (v) { return new Promise(function (a, b) { q.push([n, v, a, b]) > 1 || resume(n, v); }); }; }
        function resume(n, v) { try { step(g[n](v)); } catch (e) { settle(q[0][3], e); } }
        function step(r) { r.value instanceof __await ? Promise.resolve(r.value.v).then(fulfill, reject) : settle(q[0][2], r); }
        function fulfill(value) { resume("next", value); }
        function reject(value) { resume("throw", value); }
        function settle(f, v) { if (f(v), q.shift(), q.length) resume(q[0][0], q[0][1]); }
    }

    function __asyncDelegator(o) {
        var i, p;
        return i = {}, verb("next"), verb("throw", function (e) { throw e; }), verb("return"), i[Symbol.iterator] = function () { return this; }, i;
        function verb(n, f) { i[n] = o[n] ? function (v) { return (p = !p) ? { value: __await(o[n](v)), done: n === "return" } : f ? f(v) : v; } : f; }
    }

    function __asyncValues(o) {
        if (!Symbol.asyncIterator) throw new TypeError("Symbol.asyncIterator is not defined.");
        var m = o[Symbol.asyncIterator], i;
        return m ? m.call(o) : (o = typeof __values === "function" ? __values(o) : o[Symbol.iterator](), i = {}, verb("next"), verb("throw"), verb("return"), i[Symbol.asyncIterator] = function () { return this; }, i);
        function verb(n) { i[n] = o[n] && function (v) { return new Promise(function (resolve, reject) { v = o[n](v), settle(resolve, reject, v.done, v.value); }); }; }
        function settle(resolve, reject, d, v) { Promise.resolve(v).then(function(v) { resolve({ value: v, done: d }); }, reject); }
    }

    function __makeTemplateObject(cooked, raw) {
        if (Object.defineProperty) { Object.defineProperty(cooked, "raw", { value: raw }); } else { cooked.raw = raw; }
        return cooked;
    };

    function __importStar(mod) {
        if (mod && mod.__esModule) return mod;
        var result = {};
        if (mod != null) for (var k in mod) if (Object.hasOwnProperty.call(mod, k)) result[k] = mod[k];
        result.default = mod;
        return result;
    }

    function __importDefault(mod) {
        return (mod && mod.__esModule) ? mod : { default: mod };
    }

    function __classPrivateFieldGet(receiver, privateMap) {
        if (!privateMap.has(receiver)) {
            throw new TypeError("attempted to get private field on non-instance");
        }
        return privateMap.get(receiver);
    }

    function __classPrivateFieldSet(receiver, privateMap, value) {
        if (!privateMap.has(receiver)) {
            throw new TypeError("attempted to set private field on non-instance");
        }
        privateMap.set(receiver, value);
        return value;
    }

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    /**
     * @abstract
     */
    var TreeviewI18n = /** @class */ (function () {
        function TreeviewI18n() {
        }
        TreeviewI18n.decorators = [
            { type: core.Injectable }
        ];
        return TreeviewI18n;
    }());
    if (false) {
        /**
         * @abstract
         * @param {?} selection
         * @return {?}
         */
        TreeviewI18n.prototype.getText = function (selection) { };
        /**
         * @abstract
         * @return {?}
         */
        TreeviewI18n.prototype.getAllCheckboxText = function () { };
        /**
         * @abstract
         * @return {?}
         */
        TreeviewI18n.prototype.getFilterPlaceholder = function () { };
        /**
         * @abstract
         * @return {?}
         */
        TreeviewI18n.prototype.getFilterNoItemsFoundText = function () { };
        /**
         * @abstract
         * @param {?} isCollapse
         * @return {?}
         */
        TreeviewI18n.prototype.getTooltipCollapseExpandText = function (isCollapse) { };
    }
    var TreeviewI18nDefault = /** @class */ (function (_super) {
        __extends(TreeviewI18nDefault, _super);
        function TreeviewI18nDefault() {
            return _super !== null && _super.apply(this, arguments) || this;
        }
        /**
         * @param {?} selection
         * @return {?}
         */
        TreeviewI18nDefault.prototype.getText = /**
         * @param {?} selection
         * @return {?}
         */
        function (selection) {
            if (selection.uncheckedItems.length === 0) {
                return this.getAllCheckboxText();
            }
            switch (selection.checkedItems.length) {
                case 0:
                    return 'Select options';
                case 1:
                    return selection.checkedItems[0].text;
                default:
                    return selection.checkedItems.length + " options selected";
            }
        };
        /**
         * @return {?}
         */
        TreeviewI18nDefault.prototype.getAllCheckboxText = /**
         * @return {?}
         */
        function () {
            return 'All';
        };
        /**
         * @return {?}
         */
        TreeviewI18nDefault.prototype.getFilterPlaceholder = /**
         * @return {?}
         */
        function () {
            return 'Filter';
        };
        /**
         * @return {?}
         */
        TreeviewI18nDefault.prototype.getFilterNoItemsFoundText = /**
         * @return {?}
         */
        function () {
            return 'No items found';
        };
        /**
         * @param {?} isCollapse
         * @return {?}
         */
        TreeviewI18nDefault.prototype.getTooltipCollapseExpandText = /**
         * @param {?} isCollapse
         * @return {?}
         */
        function (isCollapse) {
            return isCollapse ? 'Expand' : 'Collapse';
        };
        TreeviewI18nDefault.decorators = [
            { type: core.Injectable }
        ];
        return TreeviewI18nDefault;
    }(TreeviewI18n));

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    /** @type {?} */
    var TreeviewHelper = {
        findItem: findItem,
        findItemInList: findItemInList,
        findParent: findParent,
        removeItem: removeItem,
        concatSelection: concatSelection,
        findById: findById,
        findRoot: findRoot
    };
    /**
     * @param {?} root
     * @param {?} value
     * @return {?}
     */
    function findItem(root, value) {
        var e_1, _a;
        if (lodash.isNil(root)) {
            return undefined;
        }
        if (root.value === value) {
            return root;
        }
        if (root.children) {
            try {
                for (var _b = __values(root.children), _c = _b.next(); !_c.done; _c = _b.next()) {
                    var child = _c.value;
                    /** @type {?} */
                    var foundItem = findItem(child, value);
                    if (foundItem) {
                        return foundItem;
                    }
                }
            }
            catch (e_1_1) { e_1 = { error: e_1_1 }; }
            finally {
                try {
                    if (_c && !_c.done && (_a = _b.return)) _a.call(_b);
                }
                finally { if (e_1) throw e_1.error; }
            }
        }
        return undefined;
    }
    /**
     * @param {?} list
     * @param {?} value
     * @return {?}
     */
    function findItemInList(list, value) {
        var e_2, _a;
        if (lodash.isNil(list)) {
            return undefined;
        }
        try {
            for (var list_1 = __values(list), list_1_1 = list_1.next(); !list_1_1.done; list_1_1 = list_1.next()) {
                var item = list_1_1.value;
                /** @type {?} */
                var foundItem = findItem(item, value);
                if (foundItem) {
                    return foundItem;
                }
            }
        }
        catch (e_2_1) { e_2 = { error: e_2_1 }; }
        finally {
            try {
                if (list_1_1 && !list_1_1.done && (_a = list_1.return)) _a.call(list_1);
            }
            finally { if (e_2) throw e_2.error; }
        }
        return undefined;
    }
    /**
     * @param {?} root
     * @param {?} item
     * @return {?}
     */
    function findParent(root, item) {
        var e_3, _a;
        if (lodash.isNil(root) || lodash.isNil(root.children)) {
            return undefined;
        }
        try {
            for (var _b = __values(root.children), _c = _b.next(); !_c.done; _c = _b.next()) {
                var child = _c.value;
                if (child === item) {
                    return root;
                }
                else {
                    /** @type {?} */
                    var parent_1 = findParent(child, item);
                    if (parent_1) {
                        return parent_1;
                    }
                }
            }
        }
        catch (e_3_1) { e_3 = { error: e_3_1 }; }
        finally {
            try {
                if (_c && !_c.done && (_a = _b.return)) _a.call(_b);
            }
            finally { if (e_3) throw e_3.error; }
        }
        return undefined;
    }
    /**
     * @param {?} root
     * @param {?} id
     * @return {?}
     */
    function findById(root, id) {
        var e_4, _a;
        if (lodash.isNil(root)) {
            return undefined;
        }
        try {
            for (var root_1 = __values(root), root_1_1 = root_1.next(); !root_1_1.done; root_1_1 = root_1.next()) {
                var child = root_1_1.value;
                if (child.id === id) {
                    return child;
                }
                else {
                    if (child.children) {
                        /** @type {?} */
                        var parent_2 = findById(child.children, id);
                        if (parent_2) {
                            return parent_2;
                        }
                    }
                }
            }
        }
        catch (e_4_1) { e_4 = { error: e_4_1 }; }
        finally {
            try {
                if (root_1_1 && !root_1_1.done && (_a = root_1.return)) _a.call(root_1);
            }
            finally { if (e_4) throw e_4.error; }
        }
        return undefined;
    }
    /**
     * @param {?} root
     * @param {?} item
     * @return {?}
     */
    function removeItem(root, item) {
        /** @type {?} */
        var parent = findParent(root, item);
        if (parent) {
            lodash.pull(parent.children, item);
            if (parent.children.length === 0) {
                parent.children = undefined;
            }
            else {
                parent.correctChecked();
            }
            return true;
        }
        return false;
    }
    /**
     * @param {?} items
     * @param {?} checked
     * @param {?} unchecked
     * @return {?}
     */
    function concatSelection(items, checked, unchecked) {
        var e_5, _a;
        /** @type {?} */
        var checkedItems = __spread(checked);
        /** @type {?} */
        var uncheckedItems = __spread(unchecked);
        try {
            for (var items_1 = __values(items), items_1_1 = items_1.next(); !items_1_1.done; items_1_1 = items_1.next()) {
                var item = items_1_1.value;
                /** @type {?} */
                var selection = item.getSelection();
                checkedItems = lodash.concat(checkedItems, selection.checkedItems);
                uncheckedItems = lodash.concat(uncheckedItems, selection.uncheckedItems);
            }
        }
        catch (e_5_1) { e_5 = { error: e_5_1 }; }
        finally {
            try {
                if (items_1_1 && !items_1_1.done && (_a = items_1.return)) _a.call(items_1);
            }
            finally { if (e_5) throw e_5.error; }
        }
        return {
            checked: checkedItems,
            unchecked: uncheckedItems
        };
    }
    /**
     * @param {?} root
     * @param {?} id
     * @param {?=} isRoot
     * @param {?=} rootNode
     * @return {?}
     */
    function findRoot(root, id, isRoot, rootNode) {
        var e_6, _a;
        if (isRoot === void 0) { isRoot = true; }
        if (rootNode === void 0) { rootNode = null; }
        if (lodash.isNil(root)) {
            return undefined;
        }
        try {
            for (var root_2 = __values(root), root_2_1 = root_2.next(); !root_2_1.done; root_2_1 = root_2.next()) {
                var child = root_2_1.value;
                rootNode = isRoot ? child : rootNode;
                if (child.id === id) {
                    return rootNode;
                }
                else {
                    if (child.children) {
                        /** @type {?} */
                        var parent_3 = findRoot(child.children, id, false, rootNode);
                        if (parent_3) {
                            return parent_3;
                        }
                    }
                }
            }
        }
        catch (e_6_1) { e_6 = { error: e_6_1 }; }
        finally {
            try {
                if (root_2_1 && !root_2_1.done && (_a = root_2.return)) _a.call(root_2);
            }
            finally { if (e_6) throw e_6.error; }
        }
        return undefined;
    }

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    /**
     * @record
     */
    function TreeviewSelection() { }
    if (false) {
        /** @type {?} */
        TreeviewSelection.prototype.checkedItems;
        /** @type {?} */
        TreeviewSelection.prototype.uncheckedItems;
    }
    /**
     * @record
     */
    function TreeItem() { }
    if (false) {
        /** @type {?|undefined} */
        TreeItem.prototype.id;
        /** @type {?|undefined} */
        TreeItem.prototype.parentId;
        /** @type {?} */
        TreeItem.prototype.text;
        /** @type {?} */
        TreeItem.prototype.value;
        /** @type {?|undefined} */
        TreeItem.prototype.level;
        /** @type {?|undefined} */
        TreeItem.prototype.disabled;
        /** @type {?|undefined} */
        TreeItem.prototype.isLast;
        /** @type {?|undefined} */
        TreeItem.prototype.checked;
        /** @type {?|undefined} */
        TreeItem.prototype.collapsed;
        /** @type {?|undefined} */
        TreeItem.prototype.children;
    }
    var TreeviewItem = /** @class */ (function () {
        function TreeviewItem(item, autoCorrectChecked) {
            var _this = this;
            if (autoCorrectChecked === void 0) { autoCorrectChecked = true; }
            this.internalDisabled = false;
            this.internalChecked = false;
            this.internalCollapsed = false;
            this.internalIsLast = true;
            if (lodash.isNil(item)) {
                throw new Error('Item must be defined');
            }
            if (lodash.isString(item.text)) {
                this.text = item.text;
            }
            else {
                throw new Error('A text of item must be string object');
            }
            this.id = item.id;
            this.parentId = item.parentId;
            this.value = item.value;
            this.level = item.level;
            if (lodash.isBoolean(item.checked)) {
                this.checked = item.checked;
            }
            if (lodash.isBoolean(item.collapsed)) {
                this.collapsed = item.collapsed;
            }
            if (lodash.isBoolean(item.disabled)) {
                this.disabled = item.disabled;
            }
            if (lodash.isBoolean(item.isLast)) {
                this.isLast = item.isLast;
            }
            if (!lodash.isNil(item.children) && item.children.length > 0) {
                this.children = item.children.map((/**
                 * @param {?} child
                 * @return {?}
                 */
                function (child) {
                    if (_this.disabled === true) {
                        child.disabled = true;
                    }
                    return new TreeviewItem(child);
                }));
            }
            if (autoCorrectChecked) {
                this.correctChecked();
            }
        }
        Object.defineProperty(TreeviewItem.prototype, "checked", {
            get: /**
             * @return {?}
             */
            function () {
                return this.internalChecked;
            },
            set: /**
             * @param {?} value
             * @return {?}
             */
            function (value) {
                if (!this.internalDisabled) {
                    if (this.internalChecked !== value) {
                        this.internalChecked = value;
                    }
                }
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(TreeviewItem.prototype, "isLast", {
            get: /**
             * @return {?}
             */
            function () {
                return this.internalIsLast;
            },
            set: /**
             * @param {?} value
             * @return {?}
             */
            function (value) {
                this.internalIsLast = value;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(TreeviewItem.prototype, "indeterminate", {
            get: /**
             * @return {?}
             */
            function () {
                return this.checked === undefined;
            },
            enumerable: true,
            configurable: true
        });
        /**
         * @param {?} value
         * @return {?}
         */
        TreeviewItem.prototype.setCheckedRecursive = /**
         * @param {?} value
         * @return {?}
         */
        function (value) {
            if (!this.internalDisabled) {
                this.internalChecked = value;
                if (!lodash.isNil(this.internalChildren)) {
                    this.internalChildren.forEach((/**
                     * @param {?} child
                     * @return {?}
                     */
                    function (child) { return child.setCheckedRecursive(value); }));
                }
            }
        };
        Object.defineProperty(TreeviewItem.prototype, "disabled", {
            get: /**
             * @return {?}
             */
            function () {
                return this.internalDisabled;
            },
            set: /**
             * @param {?} value
             * @return {?}
             */
            function (value) {
                if (this.internalDisabled !== value) {
                    this.internalDisabled = value;
                    if (!lodash.isNil(this.internalChildren)) {
                        this.internalChildren.forEach((/**
                         * @param {?} child
                         * @return {?}
                         */
                        function (child) { return child.disabled = value; }));
                    }
                }
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(TreeviewItem.prototype, "collapsed", {
            get: /**
             * @return {?}
             */
            function () {
                return this.internalCollapsed;
            },
            set: /**
             * @param {?} value
             * @return {?}
             */
            function (value) {
                if (this.internalCollapsed !== value) {
                    this.internalCollapsed = value;
                }
            },
            enumerable: true,
            configurable: true
        });
        /**
         * @param {?} value
         * @return {?}
         */
        TreeviewItem.prototype.setCollapsedRecursive = /**
         * @param {?} value
         * @return {?}
         */
        function (value) {
            this.internalCollapsed = value;
            if (!lodash.isNil(this.internalChildren)) {
                this.internalChildren.forEach((/**
                 * @param {?} child
                 * @return {?}
                 */
                function (child) { return child.setCollapsedRecursive(value); }));
            }
        };
        Object.defineProperty(TreeviewItem.prototype, "children", {
            get: /**
             * @return {?}
             */
            function () {
                return this.internalChildren;
            },
            set: /**
             * @param {?} value
             * @return {?}
             */
            function (value) {
                if (this.internalChildren !== value) {
                    if (!lodash.isNil(value) && value.length === 0) {
                        throw new Error('Children must be not an empty array');
                    }
                    this.internalChildren = value;
                    if (!lodash.isNil(this.internalChildren)) {
                        /** @type {?} */
                        var checked_1 = null;
                        this.internalChildren.forEach((/**
                         * @param {?} child
                         * @return {?}
                         */
                        function (child) {
                            if (checked_1 === null) {
                                checked_1 = child.checked;
                            }
                            else {
                                if (child.checked !== checked_1) {
                                    checked_1 = undefined;
                                    return;
                                }
                            }
                        }));
                        this.internalChecked = checked_1;
                    }
                }
            },
            enumerable: true,
            configurable: true
        });
        /**
         * @return {?}
         */
        TreeviewItem.prototype.getSelection = /**
         * @return {?}
         */
        function () {
            /** @type {?} */
            var checkedItems = [];
            /** @type {?} */
            var uncheckedItems = [];
            if (lodash.isNil(this.internalChildren)) {
                if (this.internalChecked) {
                    checkedItems.push(this);
                }
                else {
                    uncheckedItems.push(this);
                }
            }
            else {
                /** @type {?} */
                var selection = TreeviewHelper.concatSelection(this.internalChildren, checkedItems, uncheckedItems);
                checkedItems = selection.checked;
                uncheckedItems = selection.unchecked;
            }
            return {
                checkedItems: checkedItems,
                uncheckedItems: uncheckedItems
            };
        };
        /**
         * @return {?}
         */
        TreeviewItem.prototype.correctChecked = /**
         * @return {?}
         */
        function () {
            this.internalChecked = this.getCorrectChecked();
        };
        /**
         * @private
         * @return {?}
         */
        TreeviewItem.prototype.getCorrectChecked = /**
         * @private
         * @return {?}
         */
        function () {
            var e_1, _a;
            /** @type {?} */
            var checked = null;
            if (!lodash.isNil(this.internalChildren)) {
                try {
                    for (var _b = __values(this.internalChildren), _c = _b.next(); !_c.done; _c = _b.next()) {
                        var child = _c.value;
                        child.internalChecked = child.getCorrectChecked();
                        if (checked === null) {
                            checked = child.internalChecked;
                        }
                        else if (checked !== child.internalChecked) {
                            checked = undefined;
                            break;
                        }
                    }
                }
                catch (e_1_1) { e_1 = { error: e_1_1 }; }
                finally {
                    try {
                        if (_c && !_c.done && (_a = _b.return)) _a.call(_b);
                    }
                    finally { if (e_1) throw e_1.error; }
                }
            }
            else {
                checked = this.checked;
            }
            return checked;
        };
        return TreeviewItem;
    }());
    if (false) {
        /**
         * @type {?}
         * @private
         */
        TreeviewItem.prototype.internalDisabled;
        /**
         * @type {?}
         * @private
         */
        TreeviewItem.prototype.internalChecked;
        /**
         * @type {?}
         * @private
         */
        TreeviewItem.prototype.internalCollapsed;
        /**
         * @type {?}
         * @private
         */
        TreeviewItem.prototype.internalIsLast;
        /**
         * @type {?}
         * @private
         */
        TreeviewItem.prototype.internalChildren;
        /** @type {?} */
        TreeviewItem.prototype.id;
        /** @type {?} */
        TreeviewItem.prototype.parentId;
        /** @type {?} */
        TreeviewItem.prototype.text;
        /** @type {?} */
        TreeviewItem.prototype.value;
        /** @type {?} */
        TreeviewItem.prototype.level;
    }

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var TreeviewConfig = /** @class */ (function () {
        function TreeviewConfig() {
            this.hasAllCheckBox = true;
            this.hasFilter = false;
            this.hasCollapseExpand = false;
            this.decoupleChildFromParent = false;
            this.maxHeight = 500;
        }
        Object.defineProperty(TreeviewConfig.prototype, "hasDivider", {
            get: /**
             * @return {?}
             */
            function () {
                return this.hasFilter || this.hasAllCheckBox || this.hasCollapseExpand;
            },
            enumerable: true,
            configurable: true
        });
        /**
         * @param {?=} fields
         * @return {?}
         */
        TreeviewConfig.create = /**
         * @param {?=} fields
         * @return {?}
         */
        function (fields) {
            /** @type {?} */
            var config = new TreeviewConfig();
            Object.assign(config, fields);
            return config;
        };
        TreeviewConfig.decorators = [
            { type: core.Injectable }
        ];
        return TreeviewConfig;
    }());
    if (false) {
        /** @type {?} */
        TreeviewConfig.prototype.hasAllCheckBox;
        /** @type {?} */
        TreeviewConfig.prototype.hasFilter;
        /** @type {?} */
        TreeviewConfig.prototype.hasCollapseExpand;
        /** @type {?} */
        TreeviewConfig.prototype.decoupleChildFromParent;
        /** @type {?} */
        TreeviewConfig.prototype.maxHeight;
    }

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    /**
     * @abstract
     */
    var TreeviewEventParser = /** @class */ (function () {
        function TreeviewEventParser() {
        }
        TreeviewEventParser.decorators = [
            { type: core.Injectable }
        ];
        return TreeviewEventParser;
    }());
    if (false) {
        /**
         * @abstract
         * @param {?} component
         * @return {?}
         */
        TreeviewEventParser.prototype.getSelectedChange = function (component) { };
    }
    var DefaultTreeviewEventParser = /** @class */ (function (_super) {
        __extends(DefaultTreeviewEventParser, _super);
        function DefaultTreeviewEventParser() {
            return _super !== null && _super.apply(this, arguments) || this;
        }
        /**
         * @param {?} component
         * @return {?}
         */
        DefaultTreeviewEventParser.prototype.getSelectedChange = /**
         * @param {?} component
         * @return {?}
         */
        function (component) {
            /** @type {?} */
            var checkedItems = component.selection.checkedItems;
            if (!lodash.isNil(checkedItems)) {
                return checkedItems.map((/**
                 * @param {?} item
                 * @return {?}
                 */
                function (item) { return item.value; }));
            }
            return [];
        };
        DefaultTreeviewEventParser.decorators = [
            { type: core.Injectable }
        ];
        return DefaultTreeviewEventParser;
    }(TreeviewEventParser));
    /**
     * @record
     */
    function DownlineTreeviewItem() { }
    if (false) {
        /** @type {?} */
        DownlineTreeviewItem.prototype.item;
        /** @type {?} */
        DownlineTreeviewItem.prototype.parent;
    }
    var DownlineTreeviewEventParser = /** @class */ (function (_super) {
        __extends(DownlineTreeviewEventParser, _super);
        function DownlineTreeviewEventParser() {
            return _super !== null && _super.apply(this, arguments) || this;
        }
        /**
         * @param {?} component
         * @return {?}
         */
        DownlineTreeviewEventParser.prototype.getSelectedChange = /**
         * @param {?} component
         * @return {?}
         */
        function (component) {
            var _this = this;
            /** @type {?} */
            var items = component.items;
            if (!lodash.isNil(items)) {
                /** @type {?} */
                var result_1 = [];
                items.forEach((/**
                 * @param {?} item
                 * @return {?}
                 */
                function (item) {
                    /** @type {?} */
                    var links = _this.getLinks(item, null);
                    if (!lodash.isNil(links)) {
                        result_1 = result_1.concat(links);
                    }
                }));
                return result_1;
            }
            return [];
        };
        /**
         * @private
         * @param {?} item
         * @param {?} parent
         * @return {?}
         */
        DownlineTreeviewEventParser.prototype.getLinks = /**
         * @private
         * @param {?} item
         * @param {?} parent
         * @return {?}
         */
        function (item, parent) {
            var _this = this;
            if (!lodash.isNil(item.children)) {
                /** @type {?} */
                var link_1 = {
                    item: item,
                    parent: parent
                };
                /** @type {?} */
                var result_2 = [];
                item.children.forEach((/**
                 * @param {?} child
                 * @return {?}
                 */
                function (child) {
                    /** @type {?} */
                    var links = _this.getLinks(child, link_1);
                    if (!lodash.isNil(links)) {
                        result_2 = result_2.concat(links);
                    }
                }));
                return result_2;
            }
            if (item.checked) {
                return [{
                        item: item,
                        parent: parent
                    }];
            }
            return null;
        };
        DownlineTreeviewEventParser.decorators = [
            { type: core.Injectable }
        ];
        return DownlineTreeviewEventParser;
    }(TreeviewEventParser));
    var OrderDownlineTreeviewEventParser = /** @class */ (function (_super) {
        __extends(OrderDownlineTreeviewEventParser, _super);
        function OrderDownlineTreeviewEventParser() {
            var _this = _super !== null && _super.apply(this, arguments) || this;
            _this.currentDownlines = [];
            _this.parser = new DownlineTreeviewEventParser();
            return _this;
        }
        /**
         * @param {?} component
         * @return {?}
         */
        OrderDownlineTreeviewEventParser.prototype.getSelectedChange = /**
         * @param {?} component
         * @return {?}
         */
        function (component) {
            /** @type {?} */
            var newDownlines = this.parser.getSelectedChange(component);
            if (this.currentDownlines.length === 0) {
                this.currentDownlines = newDownlines;
            }
            else {
                /** @type {?} */
                var intersectDownlines_1 = [];
                this.currentDownlines.forEach((/**
                 * @param {?} downline
                 * @return {?}
                 */
                function (downline) {
                    /** @type {?} */
                    var foundIndex = -1;
                    /** @type {?} */
                    var length = newDownlines.length;
                    for (var i = 0; i < length; i++) {
                        if (downline.item.value === newDownlines[i].item.value) {
                            foundIndex = i;
                            break;
                        }
                    }
                    if (foundIndex !== -1) {
                        intersectDownlines_1.push(newDownlines[foundIndex]);
                        newDownlines.splice(foundIndex, 1);
                    }
                }));
                this.currentDownlines = intersectDownlines_1.concat(newDownlines);
            }
            return this.currentDownlines;
        };
        OrderDownlineTreeviewEventParser.decorators = [
            { type: core.Injectable }
        ];
        return OrderDownlineTreeviewEventParser;
    }(TreeviewEventParser));
    if (false) {
        /**
         * @type {?}
         * @private
         */
        OrderDownlineTreeviewEventParser.prototype.currentDownlines;
        /**
         * @type {?}
         * @private
         */
        OrderDownlineTreeviewEventParser.prototype.parser;
    }

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var TreeviewItemComponent = /** @class */ (function () {
        function TreeviewItemComponent(defaultConfig) {
            var _this = this;
            this.defaultConfig = defaultConfig;
            this.checkedChange = new core.EventEmitter();
            this.onCollapseExpand = (/**
             * @return {?}
             */
            function () {
                _this.item.collapsed = !_this.item.collapsed;
            });
            this.onCheckedChange = (/**
             * @return {?}
             */
            function () {
                /** @type {?} */
                var checked = _this.item.checked;
                if (!lodash.isNil(_this.item.children) && !_this.config.decoupleChildFromParent) {
                    _this.item.children.forEach((/**
                     * @param {?} child
                     * @return {?}
                     */
                    function (child) { return child.setCheckedRecursive(checked); }));
                }
                _this.checkedChange.emit({
                    item: _this.item,
                    checked: checked
                });
            });
            this.config = this.defaultConfig;
        }
        /**
         * @param {?} item
         * @return {?}
         */
        TreeviewItemComponent.prototype.triggerItemChange = /**
         * @param {?} item
         * @return {?}
         */
        function (item) {
            this.checkedChange.emit({
                item: item,
                checked: item.checked
            });
            // make sure that the parent correct checked
            this.item.correctChecked();
        };
        /**
         * @param {?} item
         * @return {?}
         */
        TreeviewItemComponent.prototype.onLabelClick = /**
         * @param {?} item
         * @return {?}
         */
        function (item) {
            // Check last group
            // if (!item.isLast) {
            //     return;
            // }
            item.checked = !item.checked;
            this.onCheckedChange();
        };
        /**
         * @param {?} root
         * @param {?} child
         * @return {?}
         */
        TreeviewItemComponent.prototype.onChildCheckedChange = /**
         * @param {?} root
         * @param {?} child
         * @return {?}
         */
        function (root, child) {
            var e_1, _a;
            if (!this.config.decoupleChildFromParent) {
                /** @type {?} */
                var itemChecked = null;
                try {
                    for (var _b = __values(this.item.children), _c = _b.next(); !_c.done; _c = _b.next()) {
                        var childItem = _c.value;
                        if (itemChecked === null) {
                            itemChecked = childItem.checked;
                        }
                        else if (itemChecked !== childItem.checked) {
                            itemChecked = undefined;
                            break;
                        }
                    }
                }
                catch (e_1_1) { e_1 = { error: e_1_1 }; }
                finally {
                    try {
                        if (_c && !_c.done && (_a = _b.return)) _a.call(_b);
                    }
                    finally { if (e_1) throw e_1.error; }
                }
                if (itemChecked === null) {
                    itemChecked = false;
                }
                if (this.item.checked !== itemChecked) {
                    this.item.checked = itemChecked;
                }
            }
            this.checkedChange.emit({
                item: child.item,
                checked: child.checked
            });
        };
        TreeviewItemComponent.decorators = [
            { type: core.Component, args: [{
                        selector: 'rs-dropdown-tree-item',
                        template: "<div *ngIf=\"item\" class=\"treeview-item\">\n    <ng-template [ngTemplateOutlet]=\"template\"\n        [ngTemplateOutletContext]=\"{item: item, onCollapseExpand: onCollapseExpand, onCheckedChange: onCheckedChange, onLabelClick: onLabelClick}\">\n    </ng-template>\n    <div *ngIf=\"!item.collapsed\">\n        <rs-dropdown-tree-item [config]=\"config\" *ngFor=\"let child of item.children\" [item]=\"child\"\n            [template]=\"template\" (checkedChange)=\"onChildCheckedChange(child, $event)\">\n        </rs-dropdown-tree-item>\n    </div>\n</div>",
                        styles: [":host{display:block}:host .treeview-item{white-space:nowrap}:host .treeview-item .treeview-item{margin-left:2rem}"]
                    }] }
        ];
        /** @nocollapse */
        TreeviewItemComponent.ctorParameters = function () { return [
            { type: TreeviewConfig }
        ]; };
        TreeviewItemComponent.propDecorators = {
            config: [{ type: core.Input }],
            template: [{ type: core.Input }],
            item: [{ type: core.Input }],
            checkedChange: [{ type: core.Output }]
        };
        return TreeviewItemComponent;
    }());
    if (false) {
        /** @type {?} */
        TreeviewItemComponent.prototype.config;
        /** @type {?} */
        TreeviewItemComponent.prototype.template;
        /** @type {?} */
        TreeviewItemComponent.prototype.item;
        /** @type {?} */
        TreeviewItemComponent.prototype.checkedChange;
        /** @type {?} */
        TreeviewItemComponent.prototype.onCollapseExpand;
        /** @type {?} */
        TreeviewItemComponent.prototype.onCheckedChange;
        /**
         * @type {?}
         * @private
         */
        TreeviewItemComponent.prototype.defaultConfig;
    }

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var FilterTreeviewItem = /** @class */ (function (_super) {
        __extends(FilterTreeviewItem, _super);
        function FilterTreeviewItem(item) {
            var _this = _super.call(this, {
                id: item.id,
                parentId: item.parentId,
                text: item.text,
                value: item.value,
                disabled: item.disabled,
                checked: item.checked,
                collapsed: item.collapsed,
                children: item.children
            }) || this;
            _this.refItem = item;
            return _this;
        }
        /**
         * @return {?}
         */
        FilterTreeviewItem.prototype.updateRefChecked = /**
         * @return {?}
         */
        function () {
            var e_1, _a;
            this.children.forEach((/**
             * @param {?} child
             * @return {?}
             */
            function (child) {
                if (child instanceof FilterTreeviewItem) {
                    child.updateRefChecked();
                }
            }));
            /** @type {?} */
            var refChecked = this.checked;
            if (refChecked) {
                try {
                    for (var _b = __values(this.refItem.children), _c = _b.next(); !_c.done; _c = _b.next()) {
                        var refChild = _c.value;
                        if (!refChild.checked) {
                            refChecked = false;
                            break;
                        }
                    }
                }
                catch (e_1_1) { e_1 = { error: e_1_1 }; }
                finally {
                    try {
                        if (_c && !_c.done && (_a = _b.return)) _a.call(_b);
                    }
                    finally { if (e_1) throw e_1.error; }
                }
            }
            this.refItem.checked = refChecked;
        };
        return FilterTreeviewItem;
    }(TreeviewItem));
    if (false) {
        /**
         * @type {?}
         * @private
         */
        FilterTreeviewItem.prototype.refItem;
    }
    var TreeviewComponent = /** @class */ (function () {
        function TreeviewComponent(i18n, defaultConfig, eventParser) {
            var _this = this;
            this.i18n = i18n;
            this.defaultConfig = defaultConfig;
            this.eventParser = eventParser;
            this.items = [];
            this.selectedChange = new core.EventEmitter();
            this.filterChange = new core.EventEmitter();
            this.filterText = '';
            this.text$ = new rxjs.Subject();
            this.config = this.defaultConfig;
            this.allItem = new TreeviewItem({ text: 'All', value: undefined, id: undefined, collapsed: false });
            this.createHeaderTemplateContext();
            this.text$.pipe(operators.debounceTime(500), operators.distinctUntilChanged())
                .subscribe((/**
             * @return {?}
             */
            function () {
                _this.filterChange.emit(_this.filterText);
                _this.updateFilterItems();
            }));
        }
        Object.defineProperty(TreeviewComponent.prototype, "hasFilterItems", {
            get: /**
             * @return {?}
             */
            function () {
                return !lodash.isNil(this.filterItems) && this.filterItems.length > 0;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(TreeviewComponent.prototype, "maxHeight", {
            get: /**
             * @return {?}
             */
            function () {
                return "" + this.config.maxHeight;
            },
            enumerable: true,
            configurable: true
        });
        /**
         * @param {?} changes
         * @return {?}
         */
        TreeviewComponent.prototype.ngOnChanges = /**
         * @param {?} changes
         * @return {?}
         */
        function (changes) {
            /** @type {?} */
            var itemsSimpleChange = changes.items;
            if (!lodash.isNil(itemsSimpleChange)) {
                if (!lodash.isNil(this.items)) {
                    this.updateFilterItems();
                    this.updateCollapsedOfAll();
                    this.raiseSelectedChange();
                }
            }
            this.createHeaderTemplateContext();
        };
        /**
         * @return {?}
         */
        TreeviewComponent.prototype.onAllCollapseExpand = /**
         * @return {?}
         */
        function () {
            var _this = this;
            this.allItem.collapsed = !this.allItem.collapsed;
            this.filterItems.forEach((/**
             * @param {?} item
             * @return {?}
             */
            function (item) { return item.setCollapsedRecursive(_this.allItem.collapsed); }));
        };
        /**
         * @param {?} text
         * @return {?}
         */
        TreeviewComponent.prototype.onFilterTextChange = /**
         * @param {?} text
         * @return {?}
         */
        function (text) {
            this.filterText = text;
            // debounce text change by 500ms
            this.text$.next(text);
        };
        /**
         * @return {?}
         */
        TreeviewComponent.prototype.onAllCheckedChange = /**
         * @return {?}
         */
        function () {
            /** @type {?} */
            var checked = this.allItem.checked;
            this.filterItems.forEach((/**
             * @param {?} item
             * @return {?}
             */
            function (item) {
                item.setCheckedRecursive(checked);
                if (item instanceof FilterTreeviewItem) {
                    item.updateRefChecked();
                }
            }));
            this.raiseSelectedChange();
        };
        /**
         * @param {?} item
         * @param {?} child
         * @return {?}
         */
        TreeviewComponent.prototype.onItemCheckedChange = /**
         * @param {?} item
         * @param {?} child
         * @return {?}
         */
        function (item, child) {
            if (child.checked === undefined) {
                return;
            }
            if (item instanceof FilterTreeviewItem) {
                item.updateRefChecked();
            }
            // Select ONLY last group
            // if (child.checked && child.item) {
            //     this.deselectCheckedFromOther(child.item);
            // }
            this.updateCheckedOfAll();
            this.raiseSelectedChange();
        };
        /**
         * @param {?} item
         * @return {?}
         */
        TreeviewComponent.prototype.deselectCheckedFromOther = /**
         * @param {?} item
         * @return {?}
         */
        function (item) {
            /** @type {?} */
            var selected = this.selection.checkedItems;
            if (selected.length) {
                /** @type {?} */
                var isParent = item.children && item.children.length > 0;
                if (selected[0].parentId !== item.parentId || isParent) {
                    // Get parent of selected
                    /** @type {?} */
                    var found = TreeviewHelper.findById(this.items, selected[0].parentId);
                    if (found) {
                        // Uncheck all selected
                        found.setCheckedRecursive(false);
                        if (isParent) {
                            found.checked = undefined;
                            item.setCheckedRecursive(true); // Check current selected
                        }
                        else {
                            /** @type {?} */
                            var foundParentSelected = TreeviewHelper.findById(this.items, item.parentId);
                            if (foundParentSelected) {
                                foundParentSelected.checked = undefined;
                            }
                            item.checked = true;
                        }
                    }
                    this.items.forEach((/**
                     * @param {?} node
                     * @return {?}
                     */
                    function (node) {
                        node.correctChecked();
                    }));
                }
            }
        };
        /**
         * @return {?}
         */
        TreeviewComponent.prototype.raiseSelectedChange = /**
         * @return {?}
         */
        function () {
            this.generateSelection();
            /** @type {?} */
            var values = this.eventParser.getSelectedChange(this);
            this.selectedChange.emit(values);
        };
        /**
         * @private
         * @return {?}
         */
        TreeviewComponent.prototype.createHeaderTemplateContext = /**
         * @private
         * @return {?}
         */
        function () {
            var _this = this;
            this.headerTemplateContext = {
                config: this.config,
                item: this.allItem,
                onCheckedChange: (/**
                 * @return {?}
                 */
                function () { return _this.onAllCheckedChange(); }),
                onCollapseExpand: (/**
                 * @return {?}
                 */
                function () { return _this.onAllCollapseExpand(); }),
                onFilterTextChange: (/**
                 * @param {?} text
                 * @return {?}
                 */
                function (text) { return _this.onFilterTextChange(text); })
            };
        };
        /**
         * @private
         * @return {?}
         */
        TreeviewComponent.prototype.generateSelection = /**
         * @private
         * @return {?}
         */
        function () {
            /** @type {?} */
            var checkedItems = [];
            /** @type {?} */
            var uncheckedItems = [];
            if (!lodash.isNil(this.items)) {
                /** @type {?} */
                var selection = TreeviewHelper.concatSelection(this.items, checkedItems, uncheckedItems);
                checkedItems = selection.checked;
                uncheckedItems = selection.unchecked;
            }
            this.selection = {
                checkedItems: checkedItems,
                uncheckedItems: uncheckedItems
            };
        };
        /**
         * @private
         * @return {?}
         */
        TreeviewComponent.prototype.updateFilterItems = /**
         * @private
         * @return {?}
         */
        function () {
            var _this = this;
            if (this.filterText !== '') {
                /** @type {?} */
                var filterItems_1 = [];
                /** @type {?} */
                var filterText_1 = this.filterText.toLowerCase();
                this.items.forEach((/**
                 * @param {?} item
                 * @return {?}
                 */
                function (item) {
                    /** @type {?} */
                    var newItem = _this.filterItem(item, filterText_1);
                    if (!lodash.isNil(newItem)) {
                        filterItems_1.push(newItem);
                    }
                }));
                this.filterItems = filterItems_1;
            }
            else {
                this.filterItems = this.items;
            }
            this.updateCheckedOfAll();
        };
        /**
         * @private
         * @param {?} item
         * @param {?} filterText
         * @return {?}
         */
        TreeviewComponent.prototype.filterItem = /**
         * @private
         * @param {?} item
         * @param {?} filterText
         * @return {?}
         */
        function (item, filterText) {
            var _this = this;
            /** @type {?} */
            var isMatch = lodash.includes(item.text.toLowerCase(), filterText);
            if (isMatch) {
                return item;
            }
            else {
                if (!lodash.isNil(item.children)) {
                    /** @type {?} */
                    var children_1 = [];
                    item.children.forEach((/**
                     * @param {?} child
                     * @return {?}
                     */
                    function (child) {
                        /** @type {?} */
                        var newChild = _this.filterItem(child, filterText);
                        if (!lodash.isNil(newChild)) {
                            children_1.push(newChild);
                        }
                    }));
                    if (children_1.length > 0) {
                        /** @type {?} */
                        var newItem = new FilterTreeviewItem(item);
                        newItem.collapsed = false;
                        newItem.children = children_1;
                        return newItem;
                    }
                }
            }
            return undefined;
        };
        /**
         * @private
         * @return {?}
         */
        TreeviewComponent.prototype.updateCheckedOfAll = /**
         * @private
         * @return {?}
         */
        function () {
            var e_2, _a;
            /** @type {?} */
            var itemChecked = null;
            try {
                for (var _b = __values(this.filterItems), _c = _b.next(); !_c.done; _c = _b.next()) {
                    var filterItem = _c.value;
                    if (itemChecked === null) {
                        itemChecked = filterItem.checked;
                    }
                    else if (itemChecked !== filterItem.checked) {
                        itemChecked = undefined;
                        break;
                    }
                }
            }
            catch (e_2_1) { e_2 = { error: e_2_1 }; }
            finally {
                try {
                    if (_c && !_c.done && (_a = _b.return)) _a.call(_b);
                }
                finally { if (e_2) throw e_2.error; }
            }
            if (itemChecked === null) {
                itemChecked = false;
            }
            this.allItem.checked = itemChecked;
        };
        /**
         * @private
         * @return {?}
         */
        TreeviewComponent.prototype.updateCollapsedOfAll = /**
         * @private
         * @return {?}
         */
        function () {
            var e_3, _a;
            /** @type {?} */
            var hasItemExpanded = false;
            try {
                for (var _b = __values(this.filterItems), _c = _b.next(); !_c.done; _c = _b.next()) {
                    var filterItem = _c.value;
                    if (!filterItem.collapsed) {
                        hasItemExpanded = true;
                        break;
                    }
                }
            }
            catch (e_3_1) { e_3 = { error: e_3_1 }; }
            finally {
                try {
                    if (_c && !_c.done && (_a = _b.return)) _a.call(_b);
                }
                finally { if (e_3) throw e_3.error; }
            }
            this.allItem.collapsed = !hasItemExpanded;
        };
        TreeviewComponent.decorators = [
            { type: core.Component, args: [{
                        selector: 'rs-dropdown-tree',
                        template: "<ng-template #defaultItemTemplate let-item=\"item\" let-onCollapseExpand=\"onCollapseExpand\"\n  let-onCheckedChange=\"onCheckedChange\">\n  <div class=\"form-inline row-item\">\n    <i *ngIf=\"item.children\" (click)=\"onCollapseExpand()\" aria-hidden=\"true\" class=\"fa\"\n      [class.fa-caret-right]=\"item.collapsed\" [class.fa-caret-down]=\"!item.collapsed\"></i>\n    <div class=\"form-check\">\n      <input type=\"checkbox\" class=\"form-check-input\" [(ngModel)]=\"item.checked\" (ngModelChange)=\"onCheckedChange()\"\n        [disabled]=\"item.disabled\" [indeterminate]=\"item.indeterminate\" />\n      <label class=\"form-check-label\" (click)=\"item.checked = !item.checked; onCheckedChange()\">\n        {{item.text}}\n      </label>\n    </div>\n  </div>\n</ng-template>\n<ng-template #defaultHeaderTemplate let-config=\"config\" let-item=\"item\" let-onCollapseExpand=\"onCollapseExpand\"\n  let-onCheckedChange=\"onCheckedChange\" let-onFilterTextChange=\"onFilterTextChange\">\n  <div *ngIf=\"config.hasFilter\" class=\"row row-filter\">\n    <div class=\"col-12\">\n      <input class=\"form-control\" type=\"text\" [placeholder]=\"i18n.getFilterPlaceholder()\" [(ngModel)]=\"filterText\"\n        (ngModelChange)=\"onFilterTextChange($event)\" />\n    </div>\n  </div>\n  <div *ngIf=\"hasFilterItems\">\n    <div *ngIf=\"config.hasAllCheckBox || config.hasCollapseExpand\" class=\"row row-all\">\n      <div class=\"col-12\">\n        <div class=\"form-check form-check-inline\" *ngIf=\"config.hasAllCheckBox\">\n          <input type=\"checkbox\" class=\"form-check-input\" [(ngModel)]=\"item.checked\" (ngModelChange)=\"onCheckedChange()\"\n            [indeterminate]=\"item.indeterminate\" />\n          <label class=\"form-check-label\" (click)=\"item.checked = !item.checked; onCheckedChange()\">\n            {{i18n.getAllCheckboxText()}}\n          </label>\n        </div>\n        <label *ngIf=\"config.hasCollapseExpand\" class=\"form-check-label\" (click)=\"onCollapseExpand()\">\n          <i [title]=\"i18n.getTooltipCollapseExpandText(item.collapsed)\" aria-hidden=\"true\" class=\"fa\"\n            [class.fa-expand]=\"item.collapsed\" [class.fa-compress]=\"!item.collapsed\" [style.marginLeft]=\"'-10px'\"></i>\n        </label>\n      </div>\n    </div>\n    <div *ngIf=\"config.hasDivider\" class=\"dropdown-divider\"></div>\n  </div>\n</ng-template>\n<div class=\"treeview-header\">\n  <ng-template [ngTemplateOutlet]=\"headerTemplate || defaultHeaderTemplate\"\n    [ngTemplateOutletContext]=\"headerTemplateContext\">\n  </ng-template>\n</div>\n<div [ngSwitch]=\"hasFilterItems\">\n  <div *ngSwitchCase=\"true\" class=\"treeview-container\" [style.max-height.px]=\"maxHeight\">\n    <rs-dropdown-tree-item *ngFor=\"let item of filterItems\" [config]=\"config\" [item]=\"item\"\n      [template]=\"itemTemplate || defaultItemTemplate\" (checkedChange)=\"onItemCheckedChange(item, $event)\">\n    </rs-dropdown-tree-item>\n  </div>\n  <div *ngSwitchCase=\"false\" class=\"treeview-text\">\n    {{i18n.getFilterNoItemsFoundText()}}\n  </div>\n</div>",
                        styles: [":host::deep .treeview-header .row-filter{margin-bottom:.5rem}:host::deep .treeview-header .row-all .fa{cursor:pointer}:host::deep .treeview-container .row-item{margin-bottom:.3rem;flex-wrap:nowrap}:host::deep .treeview-container .row-item .fa{width:.8rem;cursor:pointer;margin-right:.3rem}.treeview-container{overflow-y:auto;padding-right:.3rem}.treeview-text{padding:.3rem 0;white-space:nowrap}.form-check-label{position:absolute;top:-30px;right:26px;cursor:pointer}"]
                    }] }
        ];
        /** @nocollapse */
        TreeviewComponent.ctorParameters = function () { return [
            { type: TreeviewI18n },
            { type: TreeviewConfig },
            { type: TreeviewEventParser }
        ]; };
        TreeviewComponent.propDecorators = {
            headerTemplate: [{ type: core.Input }],
            itemTemplate: [{ type: core.Input }],
            items: [{ type: core.Input }],
            config: [{ type: core.Input }],
            selectedChange: [{ type: core.Output }],
            filterChange: [{ type: core.Output }],
            treeviewItemComponent: [{ type: core.ViewChild, args: [TreeviewItemComponent, { static: false },] }]
        };
        return TreeviewComponent;
    }());
    if (false) {
        /** @type {?} */
        TreeviewComponent.prototype.headerTemplate;
        /** @type {?} */
        TreeviewComponent.prototype.itemTemplate;
        /** @type {?} */
        TreeviewComponent.prototype.items;
        /** @type {?} */
        TreeviewComponent.prototype.config;
        /** @type {?} */
        TreeviewComponent.prototype.selectedChange;
        /** @type {?} */
        TreeviewComponent.prototype.filterChange;
        /** @type {?} */
        TreeviewComponent.prototype.headerTemplateContext;
        /** @type {?} */
        TreeviewComponent.prototype.treeviewItemComponent;
        /** @type {?} */
        TreeviewComponent.prototype.allItem;
        /** @type {?} */
        TreeviewComponent.prototype.filterText;
        /** @type {?} */
        TreeviewComponent.prototype.filterItems;
        /** @type {?} */
        TreeviewComponent.prototype.selection;
        /** @type {?} */
        TreeviewComponent.prototype.text$;
        /** @type {?} */
        TreeviewComponent.prototype.i18n;
        /**
         * @type {?}
         * @private
         */
        TreeviewComponent.prototype.defaultConfig;
        /**
         * @type {?}
         * @private
         */
        TreeviewComponent.prototype.eventParser;
    }

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var DropdownDirective = /** @class */ (function () {
        function DropdownDirective() {
            // tslint:disable-next-line:no-input-rename
            this.internalOpen = false;
            this.openChange = new core.EventEmitter();
        }
        Object.defineProperty(DropdownDirective.prototype, "isOpen", {
            get: /**
             * @return {?}
             */
            function () {
                return this.internalOpen;
            },
            enumerable: true,
            configurable: true
        });
        /**
         * @return {?}
         */
        DropdownDirective.prototype.onKeyupEsc = /**
         * @return {?}
         */
        function () {
            this.close();
        };
        /**
         * @param {?} event
         * @return {?}
         */
        DropdownDirective.prototype.onDocumentClick = /**
         * @param {?} event
         * @return {?}
         */
        function (event) {
            if (event.button !== 2 && !this.isEventFromToggle(event)) {
                this.close();
            }
        };
        /**
         * @return {?}
         */
        DropdownDirective.prototype.open = /**
         * @return {?}
         */
        function () {
            if (!this.internalOpen) {
                this.internalOpen = true;
                this.openChange.emit(true);
            }
        };
        /**
         * @return {?}
         */
        DropdownDirective.prototype.close = /**
         * @return {?}
         */
        function () {
            if (this.internalOpen) {
                this.internalOpen = false;
                this.openChange.emit(false);
            }
        };
        /**
         * @return {?}
         */
        DropdownDirective.prototype.toggle = /**
         * @return {?}
         */
        function () {
            if (this.isOpen) {
                this.close();
            }
            else {
                this.open();
            }
        };
        /**
         * @private
         * @param {?} event
         * @return {?}
         */
        DropdownDirective.prototype.isEventFromToggle = /**
         * @private
         * @param {?} event
         * @return {?}
         */
        function (event) {
            return !lodash.isNil(this.toggleElement) && this.toggleElement.contains(event.target);
        };
        DropdownDirective.decorators = [
            { type: core.Directive, args: [{
                        selector: '[rsDropdown]',
                        exportAs: 'rsDropdown'
                    },] }
        ];
        DropdownDirective.propDecorators = {
            internalOpen: [{ type: core.Input, args: ['open',] }],
            openChange: [{ type: core.Output }],
            isOpen: [{ type: core.HostBinding, args: ['class.show',] }],
            onKeyupEsc: [{ type: core.HostListener, args: ['keyup.esc',] }],
            onDocumentClick: [{ type: core.HostListener, args: ['document:click', ['$event'],] }]
        };
        return DropdownDirective;
    }());
    if (false) {
        /** @type {?} */
        DropdownDirective.prototype.toggleElement;
        /** @type {?} */
        DropdownDirective.prototype.internalOpen;
        /** @type {?} */
        DropdownDirective.prototype.openChange;
    }

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var DropdownMenuDirective = /** @class */ (function () {
        function DropdownMenuDirective(dropdown) {
            this.dropdown = dropdown;
            this.dropdownMenu = true;
        }
        Object.defineProperty(DropdownMenuDirective.prototype, "isOpen", {
            get: /**
             * @return {?}
             */
            function () {
                return this.dropdown.isOpen;
            },
            enumerable: true,
            configurable: true
        });
        /**
         * @param {?} changes
         * @return {?}
         */
        DropdownMenuDirective.prototype.ngOnChanges = /**
         * @param {?} changes
         * @return {?}
         */
        function (changes) {
            console.log(changes);
        };
        DropdownMenuDirective.decorators = [
            { type: core.Directive, args: [{
                        selector: '[rsDropdownMenu]'
                    },] }
        ];
        /** @nocollapse */
        DropdownMenuDirective.ctorParameters = function () { return [
            { type: DropdownDirective }
        ]; };
        DropdownMenuDirective.propDecorators = {
            dropdownMenu: [{ type: core.HostBinding, args: ['class.dropdown-menu',] }],
            isOpen: [{ type: core.HostBinding, args: ['class.show',] }]
        };
        return DropdownMenuDirective;
    }());
    if (false) {
        /** @type {?} */
        DropdownMenuDirective.prototype.dropdownMenu;
        /** @type {?} */
        DropdownMenuDirective.prototype.dropdown;
    }

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var DropdownToggleDirective = /** @class */ (function () {
        function DropdownToggleDirective(dropdown, elementRef) {
            this.dropdown = dropdown;
            this.classes = true;
            this.hasPopup = true;
            this.expanded = 'dropdown.isOpen';
            dropdown.toggleElement = elementRef.nativeElement;
        }
        /**
         * @return {?}
         */
        DropdownToggleDirective.prototype.onClick = /**
         * @return {?}
         */
        function () {
            this.dropdown.toggle();
        };
        DropdownToggleDirective.decorators = [
            { type: core.Directive, args: [{
                        selector: '[rsDropdownToggle]'
                    },] }
        ];
        /** @nocollapse */
        DropdownToggleDirective.ctorParameters = function () { return [
            { type: DropdownDirective },
            { type: core.ElementRef }
        ]; };
        DropdownToggleDirective.propDecorators = {
            classes: [{ type: core.HostBinding, args: ['class.dropdown-toggle',] }],
            hasPopup: [{ type: core.HostBinding, args: ['attr.aria-haspopup',] }],
            expanded: [{ type: core.HostBinding, args: ['attr.aria-expanded',] }],
            onClick: [{ type: core.HostListener, args: ['click',] }]
        };
        return DropdownToggleDirective;
    }());
    if (false) {
        /** @type {?} */
        DropdownToggleDirective.prototype.classes;
        /** @type {?} */
        DropdownToggleDirective.prototype.hasPopup;
        /** @type {?} */
        DropdownToggleDirective.prototype.expanded;
        /** @type {?} */
        DropdownToggleDirective.prototype.dropdown;
    }

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var DropdownTreeviewComponent = /** @class */ (function () {
        function DropdownTreeviewComponent(i18n, defaultConfig) {
            this.i18n = i18n;
            this.defaultConfig = defaultConfig;
            this.buttonClass = 'btn-outline-secondary';
            this.items = [];
            this.selectedChange = new core.EventEmitter(true);
            this.filterChange = new core.EventEmitter();
            this.config = this.defaultConfig;
            this.config.decoupleChildFromParent = true;
        }
        /**
         * @return {?}
         */
        DropdownTreeviewComponent.prototype.getText = /**
         * @return {?}
         */
        function () {
            return this.i18n.getText(this.treeviewComponent.selection);
        };
        /**
         * @return {?}
         */
        DropdownTreeviewComponent.prototype.getSelection = /**
         * @return {?}
         */
        function () {
            if (!this.treeviewComponent || !this.treeviewComponent.selection || !this.treeviewComponent.selection.checkedItems) {
                return [];
            }
            return this.treeviewComponent.selection.checkedItems;
        };
        /**
         * @param {?} event
         * @param {?} item
         * @return {?}
         */
        DropdownTreeviewComponent.prototype.removeItem = /**
         * @param {?} event
         * @param {?} item
         * @return {?}
         */
        function (event, item) {
            event.stopImmediatePropagation();
            item.checked = false;
            this.treeviewComponent.treeviewItemComponent.triggerItemChange(item);
            if (this.treeviewComponent.selection.checkedItems.length === 0) {
                this.treeviewComponent.allItem.checked = false;
                this.treeviewComponent.onAllCheckedChange();
            }
            /** @type {?} */
            var found = TreeviewHelper.findRoot(this.items, item.parentId);
            if (found) {
                found.correctChecked();
            }
        };
        /**
         * @param {?} values
         * @return {?}
         */
        DropdownTreeviewComponent.prototype.onSelectedChange = /**
         * @param {?} values
         * @return {?}
         */
        function (values) {
            this.selectedChange.emit(values);
        };
        /**
         * @param {?} text
         * @return {?}
         */
        DropdownTreeviewComponent.prototype.onFilterChange = /**
         * @param {?} text
         * @return {?}
         */
        function (text) {
            this.filterChange.emit(text);
        };
        DropdownTreeviewComponent.decorators = [
            { type: core.Component, args: [{
                        selector: 'rs-dropdown-treeview',
                        template: "<div class=\"dropdown\" rsDropdown>\n  <!-- <button class=\"btn\" [ngClass]=\"buttonClass\" type=\"button\" role=\"button\" rsDropdownToggle>\n    {{getText()}}\n  </button> -->\n  <button class=\"btn\" [ngClass]=\"buttonClass\" type=\"button\" role=\"button\" rsDropdownToggle>\n    <span *ngIf=\"getSelection()?.length <= 0\">-- Select --</span>\n\n    <span *ngFor=\"let itm of getSelection() | slice:0:5; let idx=index\">\n      <span class=\"btn btn-default btn-xs pull-left border sel-item\">\n        {{itm.text}}\n        <a class=\"close pull-right\" (click)=\"removeItem($event, itm)\">&times;</a>\n      </span>\n    </span>\n\n    <span *ngIf=\"getSelection()?.length > 5\" class=\"pull-right\">{{getSelection().length - 5}} more...</span>\n  </button>\n  <div rsDropdownMenu aria-labelledby=\"dropdownMenu\" (click)=\"$event.stopPropagation()\">\n    <div class=\"dropdown-container\">\n      <rs-dropdown-tree [config]=\"config\" [headerTemplate]=\"headerTemplate\" [items]=\"items\"\n        [itemTemplate]=\"itemTemplate\" (selectedChange)=\"onSelectedChange($event)\"\n        (filterChange)=\"onFilterChange($event)\">\n      </rs-dropdown-tree>\n    </div>\n  </div>\n</div>",
                        styles: [".dropdown{width:100%;display:inline-block}.dropdown button{width:100%;margin-right:.9rem;text-align:left;overflow:hidden;text-overflow:ellipsis;padding:3px}.dropdown button::after{position:absolute;right:.6rem;margin-top:.6rem}.dropdown button .btn.btn-default:hover{color:inherit!important;background:inherit!important;border-color:inherit!important}.dropdown .sel-item{width:-webkit-max-content;width:-moz-max-content;width:max-content;height:25px;font-size:12px;line-height:1;margin:3px;padding:4px 6px}.dropdown .sel-item .close{margin-left:6px;padding-top:2px;float:right;font-size:.8rem;line-height:1;border-radius:100%;color:#fff;background-color:#000;width:16px;height:16px}.dropdown .dropdown-menu{width:100%;z-index:9}.dropdown .dropdown-menu .dropdown-container{padding:0 .6rem}"]
                    }] }
        ];
        /** @nocollapse */
        DropdownTreeviewComponent.ctorParameters = function () { return [
            { type: TreeviewI18n },
            { type: TreeviewConfig }
        ]; };
        DropdownTreeviewComponent.propDecorators = {
            buttonClass: [{ type: core.Input }],
            headerTemplate: [{ type: core.Input }],
            itemTemplate: [{ type: core.Input }],
            items: [{ type: core.Input }],
            config: [{ type: core.Input }],
            selectedChange: [{ type: core.Output }],
            filterChange: [{ type: core.Output }],
            treeviewComponent: [{ type: core.ViewChild, args: [TreeviewComponent, { static: true },] }],
            dropdownDirective: [{ type: core.ViewChild, args: [DropdownDirective, { static: true },] }]
        };
        return DropdownTreeviewComponent;
    }());
    if (false) {
        /** @type {?} */
        DropdownTreeviewComponent.prototype.buttonClass;
        /** @type {?} */
        DropdownTreeviewComponent.prototype.headerTemplate;
        /** @type {?} */
        DropdownTreeviewComponent.prototype.itemTemplate;
        /** @type {?} */
        DropdownTreeviewComponent.prototype.items;
        /** @type {?} */
        DropdownTreeviewComponent.prototype.config;
        /** @type {?} */
        DropdownTreeviewComponent.prototype.selectedChange;
        /** @type {?} */
        DropdownTreeviewComponent.prototype.filterChange;
        /** @type {?} */
        DropdownTreeviewComponent.prototype.treeviewComponent;
        /** @type {?} */
        DropdownTreeviewComponent.prototype.dropdownDirective;
        /** @type {?} */
        DropdownTreeviewComponent.prototype.i18n;
        /**
         * @type {?}
         * @private
         */
        DropdownTreeviewComponent.prototype.defaultConfig;
    }

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var TreeviewPipe = /** @class */ (function () {
        function TreeviewPipe() {
        }
        /**
         * @param {?} objects
         * @param {?} textField
         * @return {?}
         */
        TreeviewPipe.prototype.transform = /**
         * @param {?} objects
         * @param {?} textField
         * @return {?}
         */
        function (objects, textField) {
            if (lodash.isNil(objects)) {
                return undefined;
            }
            return objects.map((/**
             * @param {?} object
             * @return {?}
             */
            function (object) { return new TreeviewItem({ text: object[textField], value: object }); }));
        };
        TreeviewPipe.decorators = [
            { type: core.Pipe, args: [{
                        name: 'rsTreeview'
                    },] }
        ];
        return TreeviewPipe;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var RSTreeviewModule = /** @class */ (function () {
        function RSTreeviewModule() {
        }
        /**
         * @return {?}
         */
        RSTreeviewModule.forRoot = /**
         * @return {?}
         */
        function () {
            return {
                ngModule: RSTreeviewModule,
                providers: [
                    TreeviewConfig,
                    { provide: TreeviewI18n, useClass: TreeviewI18nDefault },
                    { provide: TreeviewEventParser, useClass: DefaultTreeviewEventParser }
                ]
            };
        };
        RSTreeviewModule.decorators = [
            { type: core.NgModule, args: [{
                        imports: [
                            forms.FormsModule,
                            common.CommonModule
                        ],
                        declarations: [
                            TreeviewComponent,
                            TreeviewItemComponent,
                            TreeviewPipe,
                            DropdownDirective,
                            DropdownMenuDirective,
                            DropdownToggleDirective,
                            DropdownTreeviewComponent
                        ], exports: [
                            TreeviewComponent,
                            TreeviewItemComponent,
                            TreeviewPipe,
                            DropdownTreeviewComponent
                        ]
                    },] }
        ];
        return RSTreeviewModule;
    }());

    exports.RSTreeviewModule = RSTreeviewModule;
    exports.TreeviewComponent = TreeviewComponent;
    exports.TreeviewConfig = TreeviewConfig;
    exports.TreeviewItem = TreeviewItem;
    exports.ɵa = TreeviewItemComponent;
    exports.ɵb = TreeviewI18n;
    exports.ɵc = TreeviewI18nDefault;
    exports.ɵd = TreeviewEventParser;
    exports.ɵe = DefaultTreeviewEventParser;
    exports.ɵf = TreeviewPipe;
    exports.ɵg = DropdownDirective;
    exports.ɵh = DropdownMenuDirective;
    exports.ɵi = DropdownToggleDirective;
    exports.ɵj = DropdownTreeviewComponent;

    Object.defineProperty(exports, '__esModule', { value: true });

})));
//# sourceMappingURL=rs-dropdown-tree.umd.js.map
